using ShoopNCook.Views;

namespace ShoopNCook.Pages;

public partial class CreateRecipePage : ContentPage
{
	public CreateRecipePage()
	{
		InitializeComponent();
	}

    private void OnAddIngredientTapped(object sender, TappedEventArgs e)
    {
        IngredientList.Children.Add(new IngredientEntry());
    }

    private void OnAddStepTapped(object sender, TappedEventArgs e)
    {
        StepList.Children.Add(new StepEntry((uint) StepList.Children.Count() + 1));
    }
    private async void OnBackButtonClicked(object sender, EventArgs e)
    {
        await Navigation.PopAsync();
    }
}